Subject: Re: GSoC 2016: applications open, deadline = Fri, 19/2

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Feb 2016 12:37:16 -0800

Lars Schneider <[email-masked]> writes:

> If this mode is enabled then Git shall print a warning message before 
> running a potentially destructive command. In addition to the warning 
> Git shall print a command that would reverse the operation if possible. 
> Most of the information to reverse an operation is already available 
> via git reflog. However, the task here is to make this information more 
> easily accessible to Git beginners.
>
> --
>
> Does this go into the direction of "making the powerful tool harder to
> misuse"?

Not really, if done without a real thinking.  The approach risks to
make the powerful tool harder to use, not just misuse.